Bug 1054591 - irqbalance --oneshot not working
Summary: irqbalance --oneshot not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: irqbalance
Version: 6.4
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Petr Holasek
QA Contact: Evan McNabb
URL:
Whiteboard:
Depends On: 1039178
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-17 05:38 UTC by Jan Kurik
Modified: 2018-12-05 16:58 UTC (History)
11 users (show)

Fixed In Version: irqbalance-1.0.4-7.el6_5
Doc Type: Bug Fix
Doc Text:
Previously, the irqbalance daemon did not consider the NUMA node assignment for an IRQ (interrupt request) for the banned CPU set. Consequently, irqbalance set the affinity incorrectly when the IRQBALANCE_BANNED_IRQS variable was set to a single CPU. In addition, IRQs could not be assigned to a node that had no eligible CPUs. Node assignment has been restricted to nodes that have eligible CPUs as defined by the unbanned_cpus bitmask, thus fixing the bug. As a result, irqbalance now sets affinity properly, and IRQs are assigned to the respective nodes correctly.
Clone Of:
Environment:
Last Closed: 2014-01-27 15:42:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0096 0 normal SHIPPED_LIVE irqbalance bug fix update 2014-01-27 20:41:48 UTC

Description Jan Kurik 2014-01-17 05:38:00 UTC
This bug has been copied from bug #1039178 and has been proposed
to be backported to 6.5 z-stream (EUS).

Comment 8 errata-xmlrpc 2014-01-27 15:42:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0096.html


Note You need to log in before you can comment on or make changes to this bug.